Subject: Re: bug#7728: 24.0.50; GDB backtrace from abort

From: Chong Yidong <[email-masked]>
Date: Fri, 14 Jan 2011 21:59:21 -0500

martin rudalics <[email-masked]> writes:

> I doubt it's kosher because if the old selected window is not on the
> restored frame and a window on the restored frame gets selected, the
> point of the buffer whose window is deselected is not stored in the old
> selected window's pointm which is certainly not TRT.
>
> Inherently, the source of all evil is the idea to have (1) these two
> variables selected_frame and selected_window and (2) to allow setting
> them independently from each other.
>
> To avoid the present crash we could try something like the attached
> patch (which does not try to solve anything but that crash).

Thank you.  I don't see any consensus about what the correct long-term
fix is, but in the meantime I've committed this to the emacs-23 branch.